@import 'font.scss';
// @-webkit-keyframes toHide { from {opacity: 1} to {opacity: 0} };
@keyframes toHide { from {opacity: 0;} to {opacity: 1;} };
// @-webkit-keyframes toShow { from {opacity: 0} to {opacity: 1} };
@keyframes toShow { from {opacity: 1;} to {opacity: 0;} };

@mixin animation-random-mixin($frameName, $delay,$speed,$count) {
  animation-name: $frameName;
  animation-delay: $delay;
  animation-duration: $speed;
  animation-iteration-count: $count;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  // animation-fill-mode: backwards ;
  animation-fill-mode: forwards;
}

// global class
.text{
    &--blue{
        color: #2fa0ff;
    }
    &--yellow{
        color: #febf01;
    }
    &--brown{
        color: #c4a193;
    }
}
.text-center{
    text-align: center;
}
.clearfix{
    &::after {
        content: "";
        display: block;
        clear: both;
    }
}
.container{
    width: 980px;
    margin: 0 auto;
}

.section{
    &__head {
        text-align: center;
        z-index: 2;
        position: relative;
        font-family: 'Anakotmai-Medium', sans-serif;
        & h3{
            display: inline-block;
            border-radius: 30px;
            margin: 0 auto;
            margin-bottom: 40px;
            background: -webkit-linear-gradient(#ff95df, #ff4889);
			background: -moz-linear-gradient(#ff95df, #ff4889);
			background: -ms-linear-gradient(#ff95df, #ff4889);
			background: -o-linear-gradient(#ff95df, #ff4889);
			background: linear-gradient(#ff95df, #ff4889);
			-webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
            color: #ff4889;
            font-size: 30px;
            position: relative;
            &::before,
            &::after{
                width: 120px;
                height: 18px;
                display: block;
                position: absolute;
                top: 50%;
                margin-top: -5px;
            }
        }
    }
    &__wrapper{
        padding: 75px 130px;
        color: #fff;
    }
    &__content{
        //display: flex;
        & .itemsInline{
            //flex: 1 1 0;
            display: inline-block;
            width: 25%;
            vertical-align: top;
            padding: 0 10px;
            margin-bottom: 20px;
            box-sizing: border-box;
            &__content{
                line-height: 20px;
                margin-top: 10px;
                font-size: 16px;
            }
            &__img{
                position: relative;
            }
        }
    }
    &__btn{
        margin-top: 40px;
    }
}
.btn{
    font-family: 'IBMPlexThai', sans-serif;
    font-size: 28px;
    cursor: pointer;
    border: 0;
    &:focus{
        outline: none;
    }
}
.btn-default{
    background: url('./../static/images/button.png') no-repeat 0 0; 
    color: #101010;
    padding: 15px 0;
    width: 305px;
    cursor: pointer;
    &:hover{
       opacity: 0.8;
    }
    &.disabled{
        -webkit-filter: grayscale(100%);
        filter: grayscale(100%);
        cursor: not-allowed;
        &:hover{
            opacity: 1;
        }
    }
}
img{
    max-width: 100%;
    vertical-align: middle;
}
//banner
.preorder {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    //height:3365px;
    background-color: #171312;
    &__section {
        position: relative;
        display: block;
        width: 100%;
        &--header {
            height: 700px;
        }
        & .container{
            background: url("./../static/images/bg_section.png") no-repeat top center;
            height: 580px;
            padding-bottom: 50px;
        }
    }
    & .preorder-inner{
        background: #110f0a url("../static/images/bg.jpg") no-repeat top center;
        width: 1105px;
        margin: 0 auto;
        position: relative;
    }
}
.header {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    &__inner {
        position: absolute;
        top: 540px;
        left: 150px;
        display: block;
        width: 430px;
    }
    &__tag {
        display: block;
        width: 200px;
        height: 45px;
    }
    &__scroll{
        text-align: center;
        position: absolute;
        left: 0;
        right: 0;
        bottom: 40px;
        & img{
            animation: mover 1s infinite alternate; 
        }
    }
    & .btn-promotion{
        background-color: #e38182;
        border: 2px solid #fff;
        padding: 7px 25px;
        color: #fff;
        border-radius: 50px;
        font-size: 26px;
        position: absolute;
        bottom: 130px;
        left: 150px;
        text-decoration: none;
        z-index: 99;
        &:hover{
            background-color: #f87778;
        }
    }
}
//section condition
.condition {
    position: relative;
    &__text {
        width: 100%;
        padding-left: 30px;
        font-weight: bold;
        font-size: 20px;
        li {
            list-style-type: decimal;
        }
    }
    &::after{
        content: '';
        background: url('./../static/images/character.png') no-repeat top center;
        width: 350px;
        height: 650px;
        position: absolute;
        right: 0;
        bottom: 30px;
    }
}

.icon-plus{
    // background: url('./../static/images/items/plus.png') no-repeat top center;
    width: 40px;
    height: 40px;
    position: absolute;
    right: 0;
    bottom: 0;
    cursor: pointer;
}
.items{
    &__content{
        line-height: 22px;
        margin-top: 10px;
        font-size: 16px;
    }
    &__img{
        position: relative;
        display: inline-block;
    }
}

.text-diamon{
    font-size: 44px;
    margin-top: 20px;
}

//history page
.page__wrapper{
    width: 1105px;
    height: 700px;
    margin: 0 auto;  
    position: relative;
    overflow: hidden;
    & .container{
        background: url("./../static/images/bg_section.png") no-repeat top center;
        height: 600px;
        margin-top: 165px;
    }  
}
.history{
    &__list{
        & li::after {
            content: "";
            display: block;
            clear: both;
        }
        &--left{
            float: left;
        }
        &--right{
            float: right;
        }
    }
}


//section gachapon
.gachapon{
    & .container{
        &__bg{
            margin-left: -77px;
            margin-right: -77px;
            border-left: 0;
            border-right: 0;
            border-radius: 0;
        }
    }
    &__items{
        position: relative;
        display: inline-block;
        margin: 20px;
        font-size: 0;
        &:after{
        // &:hover::after{
            content: "";
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;          
            box-shadow: inset 0 0 50px 2px #f6e3c3;
            -moz-box-shadow: inset 0 0 50px 2px #f6e3c3;
            -webkit-box-shadow: inset 0 0 50px 2px #f6e3c3;
            border-radius: 10px;
            opacity: 0;
        }
        &--rnd0infinite::after { @include animation-random-mixin(toHide, 0.0s, 0.3s, infinite); }
        &--rnd1infinite::after { @include animation-random-mixin(toHide, 0.2s, 0.3s, infinite); }
        &--rnd2infinite::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, infinite); }
        &--rnd3infinite::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, infinite); }
        &--rnd4infinite::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, infinite); }
        &--rnd5infinite::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, infinite); }
        &--rnd6infinite::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, infinite); }
        &--rnd7infinite::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, infinite); }

        &--rnd0::after { @include animation-random-mixin(toHide, 0.0s, 0.3s, 10); }
        &--rnd1::after { @include animation-random-mixin(toHide, 0.2s, 0.3s, 10); }
        &--rnd2::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, 10); }
        &--rnd3::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, 10); }
        &--rnd4::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, 10); }
        &--rnd5::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, 10); }
        &--rnd6::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, 10); }
        &--rnd7::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, 10); }
        &--selected::after { @include animation-random-mixin(toShow, 0.2s, 0.3s, 10); }
       
    }
}

// Menu
.left__menu{
    & .menu-icon{
        margin: 20px 0 0 20px;
        display: inline-block;
        cursor: pointer;
    }
    & .menu-close{
        position: absolute;
        top: 10px;
        right: 15px;
        cursor: pointer;
        & a{
            width: 30px;
            height: 30px;
            &::before,
            &::after{
                position: absolute;
                left: 10px;
                content: ' ';
                height: 25px;
                width: 3px;
                top: 5px;
                background-color: #563d25;
            }
            &::before{
                -o-transform: rotate(45deg);
                -moz-transform: rotate(45deg);
                -webkit-transform: rotate(45deg);
                transform: rotate(45deg);
            }
            &::after{
                -o-transform: rotate(-45deg);
                -moz-transform: rotate(-45deg);
                -webkit-transform: rotate(-45deg);
                transform: rotate(-45deg);
            }
        }
    }
    &--list{
        position: absolute;
        top: 0;
        z-index: 999;
        left: -1000px;
        width: 250px;
        padding: 100px 30px;
        height: 100vh; 
        -webkit-transition: all 0.3s ease;
        -moz-transition: all 0.3s ease;
        transition: all 0.3s ease;
        &.show{
            left: 0;
        }
        & a {
            text-decoration: none;
            color: #563d25;
            font-size: 18px;
            display: block;
            padding: 5px 0;
            position: relative;
            &:hover{
                color: #000;
            }
        }
    }
    & .bg-overlay{
        background-color: rgba(0,0,0,0.9);
        position: absolute;
        left: 0;
        right: 0;
        width: 100%;
        bottom: 0;
        top: 0;
        z-index: 9;
        display: none;
        &.show{
            display: block;
        }
    }
}

.content__scroll{
    height: 330px;
    overflow-y: auto;
}